• Русский
  • SSHCluster [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    SSHCluster is the Schema for the sshclusters API.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    SSHClusterSpec defines the desired state of SSHCluster.

    statusobject

    SSHClusterStatus defines the observed state of SSHCluster.

    .spec

    Description
    SSHClusterSpec defines the desired state of SSHCluster.
    Type
    object
    Required
    bootstrapImage
    PropertyTypeDescription
    bootstrapImageobject
    containerNetworkobject
    controlPlaneEndpointobject

    APIEndpoint represents a reachable Kubernetes API endpoint.

    controlPlaneLoadBalancersobject

    .spec.bootstrapImage

    Type
    object
    Required
    registry
    PropertyTypeDescription
    authobject

    LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.

    registrystring

    .spec.bootstrapImage.auth

    Description
    LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    .spec.containerNetwork

    Type
    object
    Required
    type
    PropertyTypeDescription
    typestring

    .spec.controlPlaneEndpoint

    Description
    APIEndpoint represents a reachable Kubernetes API endpoint.
    Type
    object
    Required
    hostport
    PropertyTypeDescription
    hoststring

    host is the hostname on which the API server is serving.

    portinteger

    port is the port on which the API server is serving.

    .spec.controlPlaneLoadBalancers

    Type
    object
    Required
    type
    PropertyTypeDescription
    hoststring
    portinteger
    typestring
    vridinteger

    .status

    Description
    SSHClusterStatus defines the observed state of SSHCluster.
    Type
    object
    Required
    ready
    PropertyTypeDescription
    conditionsarray

    Conditions provide observations of the operational state of a Cluster API resource.

    failureMessagestring
    failureReasonstring

    MachineStatusError defines errors states for Machine objects.

    readyboolean

    .status.conditions

    Description
    Conditions provide observations of the operational state of a Cluster API resource.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    lastTransitionTimestatustype
    PropertyTypeDescription
    lastTransitionTimestring

    lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    message is a human readable message indicating details about the transition. This field may be empty.

    reasonstring

    reason is the reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may be empty.

    severitystring

    severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    status of the condition, one of True, False, Unknown.

    typestring

    type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters
      • DELETE: delete collection of SSHCluster
      • GET: list objects of kind SSHCluster
      • POST: create a new SSHCluster
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters/{name}
      • DELETE: delete the specified SSHCluster
      • GET: read the specified SSHCluster
      • PATCH: partially update the specified SSHCluster
      • PUT: replace the specified SSHCluster
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters/{name}/status
      • GET: read status of the specified SSHCluster
      • PATCH: partially update status of the specified SSHCluster
      • PUT: replace status of the specified SSHCluster

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters

    HTTP method
    DELETE
    Description
    delete collection of SSHCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind SSHCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHClusterList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySSHCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    201 - CreatedSSHCluster schema
    202 - AcceptedSSHCluster schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters/{name}

    HTTP method
    DELETE
    Description
    delete the specified SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified SSHCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySSHCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    201 - CreatedSSHCluster schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshclusters/{name}/status

    HTTP method
    GET
    Description
    read status of the specified SSHCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified SSHCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySSHCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSSHCluster schema
    201 - CreatedSSHCluster schema
    401 - UnauthorizedEmpty